Name:          replacer
Version:       1.6
Release:       %mkrel 13
Group:         Development/Java
Summary:       Replacer Maven Mojo
License:       MIT
URL:           https://github.com/beiliubei/maven-replacer-plugin
# http://code.google.com/p/maven-replacer-plugin/
Source0:       https://github.com/beiliubei/maven-replacer-plugin/archive/%{version}.tar.gz
Patch0:        0001-Port-to-maven-plugin-annotations-from-Javadoc-tags.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(xerces:xercesImpl)

BuildArch:     noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
Maven plugin to replace tokens in a given file with a value.

This plugin is also used to automatically generating PackageVersion.java
in the FasterXML.com project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-replacer-plugin-%{version}
%patch -P 0 -p1

# remove unnecessary dependency on parent POM
%pom_remove_parent

%pom_remove_plugin :dashboard-maven-plugin
%pom_remove_plugin :maven-assembly-plugin

# remove hard-coded compiler settings
%pom_remove_plugin :maven-compiler-plugin

# trivial port to commons-lang3
%pom_change_dep :commons-lang org.apache.commons:commons-lang3:3.8.1

# "No mojo definitions were found for plugin" with maven-plugin-plugin 3.9
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-plugin-plugin']" \
    '<configuration><skipErrorNoDescriptorsFound>true</skipErrorNoDescriptorsFound></configuration>'

for i in $(find -name "*.java"); do
    sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" $i;
done

%mvn_file :%{name} %{name}
%mvn_alias :%{name} com.google.code.maven-replacer-plugin:maven-replacer-plugin

%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Mon May 27 2024 ns80 <ns80> 1.6-13.mga10
+ Revision: 2068198
- rebuild for java 21

* Wed Jan 04 2023 daviddavid <daviddavid> 1.6-12.mga9
+ Revision: 1929910
- Remove maven-javadoc-plugin dependency
- Remove unnecessary dependency on parent POM

* Sat Mar 26 2022 umeabot <umeabot> 1.6-11.mga9
+ Revision: 1827663
- Mageia 9 Mass Rebuild

* Mon Jan 04 2021 neoclust <neoclust> 1.6-10.mga8
+ Revision: 1668530
- Port to commons-lang3

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.6-9.mga8
+ Revision: 1653187
- set java source and target version to 1.8 to fix build

* Sat Feb 15 2020 umeabot <umeabot> 1.6-8.mga8
+ Revision: 1527605
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1.6-7.mga8
+ Revision: 1422353
- Fix build against mockito 2.x

* Wed Sep 19 2018 umeabot <umeabot> 1.6-6.mga7
+ Revision: 1274878
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.6-4.mga6
+ Revision: 978139
- First rebuild of the java stack
- sync package replacer with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 1.5.2-8.mga5
+ Revision: 807192
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-7.mga5
+ Revision: 747611
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun May 18 2014 dmorgan <dmorgan> 1.5.2-5.mga5
+ Revision: 623559
- Improve buildrequires
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.5.2-3.mga4
+ Revision: 489320
- imported package replacer


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 gil cattaneo <puntogil@libero.it> 1.5.2-2
- switch to XMvn
- minor changes to adapt to current guideline

* Sun May 26 2013 gil cattaneo <puntogil@libero.it> 1.5.2-1
- initial rpm
